Bug 1202850 (kaccounts-integration) - Review Request: kaccounts-integration - Small system to administer web accounts for the sites and services across the KDE desktop
Summary: Review Request: kaccounts-integration - Small system to administer web accoun...
Keywords:
Status: CLOSED RAWHIDE
Alias: kaccounts-integration
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: signon, signon-qt5 plasma5 signon-plugin-oauth2 libaccounts-qt5
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2015-03-17 14:51 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 10:49:51 UTC
jgrulich: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2015-03-17 14:51:59 UTC
Spec URL: https://dvratil.fedorapeople.org/spec/kaccounts-integration.spec
SRPM URL: https://dvratil.fedorapeople.org/spec/kaccounts-integration-15.03.90-1.fc21.src.rpm
Description: Small system to administer web accounts for the sites and services across the KDE desktop
Fedora Account System Username: dvratil

Comment 1 Jan Grulich 2015-03-25 09:37:45 UTC
rpmlint
-------
kaccounts-integration-debuginfo.x86_64: E: debuginfo-without-sources
kaccounts-integration-devel.x86_64: W: only-non-binary-in-usr-lib
kaccounts-integration-devel.x86_64: W: no-documentation
kaccounts-integration.x86_64: E: summary-too-long C Small system to administer web accounts for the sites and services across the KDE desktop,
3 packages and 0 specfiles checked; 2 errors, 2 warnings.

1) I think that the license should be rather GPLv2+
2) Fix summary
3) E: debuginfo-without-sources - I'm not sure what does it mean, but it seems to be compiled the same way as other frameworks/plasma packages, so I assume it's a false positive error

btw you have also a typo in changelog - Daneil vs Daniel and dvraitl vs dvratil

Comment 2 Daniel Vrátil 2015-03-25 09:45:53 UTC
Spec URL: https://dvratil.fedorapeople.org/spec/kaccounts-integration.spec
SRPM URL: https://dvratil.fedorapeople.org/spec/kaccounts-integration-15.03.90-2.fc21.src.rpm


* Wed Mar 25 2015 Daniel Vrátil <dvratil@redhat.com> - 15.03.90-2
- fix license
- fix summary
- fix typos in changelog

Comment 3 Jan Grulich 2015-03-25 09:55:18 UTC
Looks good now, APPROVED.

Comment 4 Daniel Vrátil 2015-03-25 14:21:29 UTC
New Package SCM Request
=======================
Package Name: kaccounts-integration
Short Description: Small system to administer web accounts across the KDE desktop
Upstream URL: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Owners: group::kde-sig
Branches: f22
InitialCC:

Comment 5 Gwyn Ciesla 2015-03-25 17:27:30 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.